<h1 mat-dialog-title>Calcular média valor combustivel</h1>
<div mat-dialog-content>
  <form [formGroup]="form">
    <div class="row">
      <mat-form-field class="col-md-5">
        <mat-select formControlName="municipio">
          <mat-option *ngFor="let endereco of enderecos" [value]="endereco.id">
            {{endereco.municipio}}
          </mat-option>
        </mat-select>
        <mat-error *ngIf="form.get('municipio').invalid">{{getMensagemErro('municipio')}}</mat-error>
      </mat-form-field>

      <div class="col-md-5">
        <p>Media: R$ {{media | number: '1.3-3'}}</p>
      </div>
    </div>
  </form>
</div>
<div mat-dialog-actions>
  <button mat-button (click)="onNoClick()">Fechar</button>
  <button mat-button cdkFocusInitial color="primary" (click)="calcularMedia()">Calcular</button>
</div>